/*
 * log.h
 *
 * Copyright (c) 2004 Maksim Yevmenkin <m_evmenkin@yahoo.com>
 * All rights reserved.
 *
 * Redistribution and use in source and binary forms, with or without
 * modification, are permitted provided that the following conditions
 * are met:
 * 1. Redistributions of source code must retain the above copyright
 *    notice, this list of conditions and the following disclaimer.
 * 2. Redistributions in binary form must reproduce the above copyright
 *    notice, this list of conditions and the following disclaimer in the
 *    documentation and/or other materials provided with the distribution.
 *
 * THIS SOFTWARE IS PROVIDED BY THE AUTHOR AND CONTRIBUTORS ``AS IS'' AND
 * ANY EXPRESS OR IMPLIED WARRANTIES, INCLUDING, BUT NOT LIMITED TO, THE
 * IMPLIED WARRANTIES OF MERCHANTABILITY AND FITNESS FOR A PARTICULAR PURPOSE
 * ARE DISCLAIMED. IN NO EVENT SHALL THE AUTHOR OR CONTRIBUTORS BE LIABLE
 * FOR ANY DIRECT, INDIRECT, INCIDENTAL, SPECIAL, EXEMPLARY, OR CONSEQUENTIAL
 * DAMAGES (INCLUDING, BUT NOT LIMITED TO, PROCUREMENT OF SUBSTITUTE GOODS
 * OR SERVICES; LOSS OF USE, DATA, OR PROFITS; OR BUSINESS INTERRUPTION)
 * HOWEVER CAUSED AND ON ANY THEORY OF LIABILITY, WHETHER IN CONTRACT, STRICT
 * LIABILITY, OR TORT (INCLUDING NEGLIGENCE OR OTHERWISE) ARISING IN ANY WAY
 * OUT OF THE USE OF THIS SOFTWARE, EVEN IF ADVISED OF THE POSSIBILITY OF
 * SUCH DAMAGE.
 *
 * $Id: log.h,v 1.1 2007/01/30 00:35:23 max Exp $
 */

#ifndef _LOG_H_
#define _LOG_H_

void	log_open	(char const *prog, char const *pri_name, int32_t log2stderr);
void	log_close	(void);
void	log_emerg	(char const *message, ...) __attribute__((format (printf, 1, 2)));
void	log_alert	(char const *message, ...) __attribute__((format (printf
, 1, 2)));
void	log_crit	(char const *message, ...) __attribute__((format (printf
, 1, 2)));
void	log_err		(char const *message, ...) __attribute__((format (printf
, 1, 2)));
void	log_warning	(char const *message, ...) __attribute__((format (printf
, 1, 2)));
void	log_notice	(char const *message, ...) __attribute__((format (printf
, 1, 2)));
void	log_info	(char const *message, ...) __attribute__((format (printf
, 1, 2)));
void	log_debug	(char const *message, ...) __attribute__((format (printf
, 1, 2)));

#endif /* ndef _LOG_H_ */

